<?php 
/*------------------------------------------------------------------------
# default.php - Top Position Google Finance (module)
# ------------------------------------------------------------------------
# version		1.0.0
# author    	Top Position
# copyright 	Copyright (c) 2011 Top Position	 All rights reserved.
# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites 	http://posicionamientoenbuscadoreswebseo.es/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die('Restricted access');
$arrayquotes = $params->get('quotes','NASDAQ:MSFT,GOOG, CSCO,.DJI');
$quotes = explode(",", $arrayquotes);
$n = count($quotes);
$chart_rsc = "http://www.google.com/finance/chart?cht=c&tlf=12h&q=".$arrayquotes."&amp;nocache=".time();
$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, "http://www.google.com/finance/info?client=ig&q=".urlencode($arrayquotes));
curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
curl_setopt($ch, CURLOPT_TIMEOUT, 60);

$output = curl_exec($ch);
$output = substr($output, 4, -1);
$httpinfo = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
if ($httpinfo == 400) return false;
$output = json_decode($output, true);

$document = &JFactory::getDocument();
if($params->get('css',1)==1) $document->addCustomTag('
<style type="text/css">
.topposition-quotes{
margin-top:10px;
}
.topposition-quotes-registro{
padding-top:4px; border-bottom:#CCC 1px dotted;
}
.top-l1{
float:left; width:50%;
}
.top-l2{
float:left; text-align:right; width:50%; color:#990000;
}
.top-clear{
clear:both;
}
.top-date{
color:#333; font-style:italic; font-size:0.8em; margin-top:2px; margin-bottom:2px;
}
.top-firma{
font-size : 0.9em;
margin-top : 20px;
margin-bottom : 10px;
}
.c0a94e1{
width:8px;
height:6px;
float:left;
background-color:#0a94e1;
margin-top:5px;
margin-right:3px;
}
.cf5110c{
width:8px;
height:6px;
float:left;
background-color:#f5110c;
margin-top:5px;
margin-right:3px;
}
.cf5bb0c{
width:8px;
height:6px;
float:left;
background-color:#f5bb0c;
margin-top:5px;
margin-right:3px;
}
.c48ae37{
width:8px;
height:6px;
float:left;
background-color:#48ae37;
margin-top:5px;
margin-right:3px;
}



</style>
');				
?>
<div id="topposition">
<?php if ($params->get('chart',1)){ ?>
    <div class="topposition_chart"><div class="toppositionimage"><img src="<?php echo $chart_rsc; ?>" alt="Google Finance Chart" /></div><div class="top-clear"></div></div>
<?php } ?>
    <div class="topposition-quotes">
<?php 
	$b=0;
	foreach($output as $registro) { 
		$bc = '';
		if($b==0) $bc = "<div class='c0a94e1'></div>";
		if($b==1) $bc = "<div class='cf5110c'></div>";
		if($b==2) $bc = "<div class='cf5bb0c'></div>";
		if($b==3) $bc = "<div class='c48ae37'></div>";
		
		

?>
        <div class="topposition-quotes-registro">
            <div class="top-l1"><?php echo($bc.'<a href="http://www.google.com/finance?q='.urlencode($registro['t']).'" title="More on Google Finance"><strong>'.$registro['t'].'</strong> '.$registro['l'].'</a>'); ?></div>
            <div class="top-l2"><?php echo($registro['c'].'  ('.$registro['cp'].'%)'); ?></div> 
            <div class="top-clear"></div>
            <div class="top-date"><?php echo( $registro['ltt']); ?></div>
            <div class="top-clear"></div>
        </div>
<?php 
	$b++;
	} ?>
    </div>
	<div class="top-clear"></div>
	<div class="top-firma">By <a href="http://noticiasbancarias.com/" title="Noticias Bancarias">noticias bancarias</a></div>
</div>